Bug 1121136 - Hammer remove-sync-plan adds sync-plan instead of removing it
Summary: Hammer remove-sync-plan adds sync-plan instead of removing it
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
high
high vote
Target Milestone: Unspecified
Assignee: Adam Price
QA Contact: sthirugn@redhat.com
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-18 13:06 UTC by Adam Saleh
Modified: 2016-04-22 16:53 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-11 12:18:50 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 7093 None None None 2016-04-22 16:53:00 UTC
Red Hat Bugzilla 1132161 None None None Never

Internal Links: 1132161

Description Adam Saleh 2014-07-18 13:06:48 UTC
Description of problem:

1) afaik, product can have at most one syncplan assigned to itself

2) therefore I should be able to "hammer -d -v -u admin -p changeme  product remove-sync-plan --id='95'" to remove any asociated syncplan

3) in reality, error "(option '--sync_plan_id' is required)" is returned

4) if I supply valid sync-plan-id it is not removed, but set as the products sync-plan

i.e: hammer -d -v -u admin -p changeme  product remove-sync-plan --id='95' --sync-plan-id='14'

actually sends:

[ INFO 2014-07-18 08:49:11 API] PUT /katello/api/products/95
[DEBUG 2014-07-18 08:49:11 API] Params: {
    "sync_plan_id" => "14"
}

Comment 2 Adam Price 2014-08-14 16:40:03 UTC
Created redmine issue http://projects.theforeman.org/issues/7093 from this bug

Comment 6 sthirugn@redhat.com 2014-08-20 20:33:29 UTC
Verified.

hammer> product set-sync-plan --id=97 --organization-id=3 --sync-plan-id=2
Synchronization plan assigned.

hammer> product remove-sync-plan --id=97 --organization-id=3 
Synchronization plan removed.

Version Tested:
GA Snap 6 - Satellite-6.0.4-RHEL-6-20140820.1

* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.9.23-1.el6_5.noarch
* candlepin-common-1.0.1-1.el6_5.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.9.23-1.el6_5.noarch
* candlepin-tomcat6-0.9.23-1.el6_5.noarch
* elasticsearch-0.90.10-6.el6sat.noarch
* foreman-1.6.0.41-1.el6sat.noarch
* foreman-compute-1.6.0.41-1.el6sat.noarch
* foreman-gce-1.6.0.41-1.el6sat.noarch
* foreman-libvirt-1.6.0.41-1.el6sat.noarch
* foreman-ovirt-1.6.0.41-1.el6sat.noarch
* foreman-postgresql-1.6.0.41-1.el6sat.noarch
* foreman-proxy-1.6.0.29-1.el6sat.noarch
* foreman-selinux-1.6.0.7-1.el6sat.noarch
* foreman-vmware-1.6.0.41-1.el6sat.noarch
* katello-1.5.0-29.el6sat.noarch
* katello-ca-1.0-1.noarch
* katello-certs-tools-1.5.6-1.el6sat.noarch
* katello-installer-0.0.60-1.el6sat.noarch
* openldap-2.4.23-34.el6_5.1.x86_64
* openldap-devel-2.4.23-34.el6_5.1.x86_64
* pulp-katello-0.3-3.el6sat.noarch
* pulp-nodes-common-2.4.0-0.30.beta.el6sat.noarch
* pulp-nodes-parent-2.4.0-0.30.beta.el6sat.noarch
* pulp-puppet-plugins-2.4.0-0.30.beta.el6sat.noarch
* pulp-puppet-tools-2.4.0-0.30.beta.el6sat.noarch
* pulp-rpm-plugins-2.4.0-0.30.beta.el6sat.noarch
* pulp-selinux-2.4.0-0.30.beta.el6sat.noarch
* pulp-server-2.4.0-0.30.beta.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
* ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch

Comment 7 Bryan Kearney 2014-09-11 12:18:50 UTC
This was delivered with Satellite 6.0 which was released on 10 September 2014.


Note You need to log in before you can comment on or make changes to this bug.